<?php 
use_helper('UrlFunctions');
use_helper('UtilFunctions');
 ?>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
acutalizarNumeroCuotas = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getNroCuotas&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
    
}

</script>
<?php
if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope") {
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
 
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
	
 }
$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);
	
$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();

//error_reporting(E_ALL);
//ini_set('display_errors','On'); //PARA PRODUCCION "Off"
$s_User = myUser::getUser()->getUserId();
if( $b_Control )
{
	$dia = date('w',strtotime($fecha));
    if($dia  == '6') $FechaTransaccion = date('Y-m-d', strtotime($fecha ." +2 days"));
	else  $FechaTransaccion = date('Y-m-d', strtotime($fecha ." +1 days"));
    $o_Cr_pedido_prestamoDP = new Cr_pedido_prestamoDP();
    $o_Cr_pedido_prestamoDP->setIdCliente( ( int ) $i_IdClie );
    $o_Cr_pedido_prestamoDP->setIidMercado( ( int ) $IdMercado );
    $o_Cr_pedido_prestamoDP->setIdColaborador( (int) myUser::getUser()->getIdColaborador() );
    
    $o_Cr_pedido_prestamoDP->setMonto( floatval( $Monto ) );
    $o_Cr_pedido_prestamoDP->setTelefonoContacto( $TelefonoContacto );
    $o_Cr_pedido_prestamoDP->setLimiteCredito( floatval( $LimiteCredito ) );
    $o_Cr_pedido_prestamoDP->setInteresPorcentaje( ( int ) $InteresPorcentaje );
    $o_Cr_pedido_prestamoDP->setDuracion( ( int ) $Duracion );
    $o_Cr_pedido_prestamoDP->setPeridiocidadPago( $PeridiocidadPago );
    $o_Cr_pedido_prestamoDP->setHoraAtencion( $HoraAtencion );
    $o_Cr_pedido_prestamoDP->setEliminado( -1 );
    $o_Cr_pedido_prestamoDP->setObservacion( $Observacion );

    if( isset( $i_Id ) )
    {
        //UPDATE
        $o_Cr_pedido_prestamoDP->setIdpedido( ( int ) $i_Id );
        $o_Cr_pedido_prestamoDP->setUsuarioModificacion( $s_User );
        $o_Cr_pedido_prestamoDP->setFechaModificacion( date( "Y-m-d H:i:s" ) );
        $b_Result = $o_Cr_pedido_prestamoDP->update();
    }
    else
    {
        //SAVE
        $o_Cr_pedido_prestamoDP->setFechaTransaccion( $FechaTransaccion );
        $o_Cr_pedido_prestamoDP->setEstado( "P" );
        $i_IdPedido = Cr_pedido_prestamoDP::getNextId();
        $o_Cr_pedido_prestamoDP->setIdpedido( ( int ) $i_IdPedido );
        $o_Cr_pedido_prestamoDP->setFechaCreacion( date( "Y-m-d H:i:s" ) );
        $o_Cr_pedido_prestamoDP->setUsuarioCreacion( $s_User );
        $b_Result = $o_Cr_pedido_prestamoDP->save();
    }

    if( $b_Result )
    {
        ?>
        <script>
        parent.findControl();
        parent.objMainTab.windowsCloseAll();
        </script>
        <?php
    }
    else
    {
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong> '.$s_MensajeError.'</p></div></div>';
    }
}
?>
<?php
if( isset( $i_Id ) )
{
    $o_Cr_pedido_prestamoFN = new Cr_pedido_prestamoFN();
    $o_Cr_pedido_prestamoBN = $o_Cr_pedido_prestamoFN->selectByPK( $i_Id );
    if( $o_Cr_pedido_prestamoBN )
    {
        //echo "<pre>"; print_r( $o_Cr_pedido_prestamoBN ); echo "</pre>";
        $FechaTransaccion   = $o_Cr_pedido_prestamoBN->getFechaTransaccion();
        $TelefonoContacto   = $o_Cr_pedido_prestamoBN->getTelefonoContacto();
        $Monto              = $o_Cr_pedido_prestamoBN->getMonto();
        $InteresPorcentaje  = $o_Cr_pedido_prestamoBN->getInteresPorcentaje();
        $PeridiocidadPago   = $o_Cr_pedido_prestamoBN->getPeridiocidadPago();
        $Duracion           = $o_Cr_pedido_prestamoBN->getDuracion();
        $HoraAtencion       = $o_Cr_pedido_prestamoBN->getHoraAtencion();
        $Observacion        = $o_Cr_pedido_prestamoBN->getObservacion();
    }
}
//var_dump( $a_Cr_pedido_prestamo );
?>
<fieldset>
    <div class="titleBody descripProy">
        <li>
            <?php if( $i_Id ){ ?>
            Editar Pedido
            <?php }else{ ?>
            Nuevo Pedido
            <?php } ?>
            <!--&nbsp;&nbsp;-->
            <!--<input type="button" title="Registrar" onclick="location.href='<?php //echo buildUrl( 'doc/list', 'block=001') ?>'" value="Registrar" class="button">-->
        </li>
    </div>
    <div class="block" style="padding: 6px 8px;">

        <form action="" method="post" name="form1" id="form1" enctype="multipart/form-data">
            <input type="hidden" name="b_Control" id="b_Control" value="ok"/>
            <input type="hidden" name="i_IdClie" id="i_IdClie" value="<?php echo $i_IdClie ?>"/>
            <?php if( !is_null( $i_Id ) && $i_Id != "" ){ ?>
            <input type="hidden" name="i_Id" id="i_Id" value="<?php echo $i_Id ?>"/>
            <?php } ?>
            <table width="100%" class="" style="">
                <tr>
                    <td>
<?php
if($i_IdClie)
{
    $o_ClienteBean = new ClienteBean();
    $o_ClienteBean->setIdCliente($i_IdClie);
    $o_class = new ClienteBL();
    $a_ObjectBean = $o_class->busquedaCliente($o_ClienteBean);
    if(is_array($a_ObjectBean))
    {
          while( list( $key, $o_ObjectBean ) = each( $a_ObjectBean ) )
          {
              //echo "<pre>"; print_r( $o_ObjectBean ); echo "<pre>";
                $IdMercado = $o_ObjectBean->getIdMercado();
                $Nombre = $o_ObjectBean->getNombreCompleto();
                $Telefono = $o_ObjectBean->getTelefono();
                
                if($o_ObjectBean->getFlagInfocorp()=='S'){
			  		$o_clasificacion = getClasificacionInfocorp($o_ObjectBean->getScoreInfocorp());
			  		$ColorInfocorp = $o_ObjectBean->getColorInfocorp();
			  		$FlagInfocorp = $o_ObjectBean->getFlagInfocorp();
			  		$ClasificacionInfocorp = $o_ObjectBean->getClasificacionInfocorp();
			  		$ScoreInfocorp = $o_ObjectBean->getScoreInfocorp();
			  		
			  		$codigoinfocorp = $o_clasificacion->codigo;
			  	}
               

                $o_MercadoBean = new MercadoBean();
                $o_MercadoBean->setIdMercado($IdMercado);
                $o_class = new MercadoBL();
                $ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
                $NombreMercado = $ObjectBean[0]->getDescripcion();
          }
    }
}
?>
                      <fieldset>
                        <legend class="fielsettex"><I>Datos del Cliente</I></legend>
                         <table width="100%" border="0" cellspacing="4" cellpadding="0">
                               <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $Nombre?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
                                <td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                              <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Tel&eacute;fono </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label req"><?php echo $Telefono?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                               <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Infocorp</label></td>
								<td align="center" style="color:<?=$ColorInfocorp?>"><label class="label"><?php echo $codigoinfocorp?>&nbsp;<label style="background:<?=$ColorInfocorp;?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>&nbsp;<? if($FlagInfocorp=='S'){ echo $ClasificacionInfocorp."(";echo $ScoreInfocorp.")"; }else echo "-";?><label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                
                              </tr>
                        </table>
                        </fieldset>
                        <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $IdMercado ?>"/>
                        <input type="hidden" name="LimiteCredito" id="LimiteCredito" value="<?php echo $LineaCredito ?>"/>

                        <?php
                        $s_Param = 'block=001';
                        if( isset( $i_Id ) )
                        {
                            $s_Param = 'block=001&i_Id='.$i_Id;
                        }
                        ?>
                        <br>
                        <fieldset>
                           <legend class="fielsettex"><I>Datos de Pedido</I></legend>
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap">
                                    <table width="100%">
                                        <?php
                                        
                                        $dia = date('w',strtotime($fecha));
										if($dia  == '6') $FechaTransaccion = date('Y-m-d', strtotime($fecha ." +2 days"));
										else  $FechaTransaccion = date('Y-m-d', strtotime($fecha ." +1 days"));
                                        ?>
                                        <tr>
                                            <td nowrap="nowrap" width="18%"><label for="NombreCompleto" class="label">Fecha</label></td>
                                            <td nowrap="nowrap">
                                                <label class="label req"><?php echo $FechaTransaccion ?></label>
                                                <input type="hidden" name="FechaTransaccion" id="FechaTransaccion" value="<?php echo $FechaTransaccion ?>"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Monto" class="label">Monto</label></td>
                                            <td nowrap="nowrap"><input type="text" class="text required validate-number" name="Monto" id="Monto" value="<?php echo $Monto ?>" title="Ingrese Monto"/></td>
                                        </tr>
                                         <tr>
                                            <td nowrap="nowrap"><label for="Monto" class="label">Telefono Contacto</label></td>
                                            <td nowrap="nowrap"><input type="text" class="text required validate-number" name="TelefonoContacto" id="TelefonoContacto" value="<?php echo $TelefonoContacto ?>" title="Ingrese Telfono" maxlength="30" /></td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="InteresPorcentaje" class="label">Inter&eacute;s (%)</label></td>
                                            <td nowrap="nowrap">
                                                <select name="InteresPorcentaje" id="InteresPorcentaje" class="combo required" onchange="">
            										<option value="">-Seleccione-</option>
            										<?php
            										for($i=0;$i<=25;$i++){?>
            										<option value="<?php echo $i?>" style="text-align:right;" <?php if( $InteresPorcentaje==$i || (!$InteresPorcentaje && $i==10) ){ echo "SELECTED"; } ?>><?php echo $i."%"?></option>
            										<?php
            										}
            										?>
            									</select>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="PeridiocidadPago" class="label">Forma Pago</label></td>
                                            <td nowrap="nowrap">
                                                <select class="combo required Validation-passed" type="text" id="PeridiocidadPago" name="PeridiocidadPago" onclick="acutalizarNumeroCuotas('Duracion',this);">
            									  <option value="D" <?php if( $PeridiocidadPago=="D" ){ echo "SELECTED"; } ?>>Diario</option>
            									  <option value="S" <?php if( $PeridiocidadPago=="S" ){ echo "SELECTED"; } ?>>Semanal</option>
            									  <option value="Q" <?php if( $PeridiocidadPago=="Q" ){ echo "SELECTED"; } ?>>Quincenal</option>
            									  <option value="M" <?php if( $PeridiocidadPago=="M" ){ echo "SELECTED"; } ?>>Mensual</option>
            							  		</select>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Duracion" class="label">Duraci&oacute;n</label></td>
                                            <td nowrap="nowrap">
                                                <select name="Duracion" id="Duracion" type="text" class="combo required">
													<option value="">-Seleccione-</option>
                                                    <option value="4"  <?php if( $Duracion == "4" ){ echo "SELECTED"; }  ?> >4 D&iacute;as</option>
                                                    <option value="7"  <?php if( $Duracion == "7" ){ echo "SELECTED"; }  ?> >7 D&iacute;as</option>
                                                    <option value="15" <?php if( $Duracion == "15" ){ echo "SELECTED"; }  ?>>15 D&iacute;as</option>
                                                    <option value="26" <?php if( $Duracion == "26" ){ echo "SELECTED"; }  ?>>26 D&iacute;as</option>
                                                    <option value="30" <?php if( $Duracion == "30" || !$Duracion ){ echo "SELECTED"; }  ?>>30 D&iacute;as</option>
                                                    <option value="45" <?php if( $Duracion == "45" ){ echo "SELECTED"; }  ?>>45 D&iacute;as</option>
                                                    <option value="60" <?php if( $Duracion == "60" ){ echo "SELECTED"; }  ?>>60 D&iacute;as</option>
                                                    <option value="75" <?php if( $Duracion == "75" ){ echo "SELECTED"; }  ?>>75 D&iacute;as</option>
                                                    <option value="90" <?php if( $Duracion == "90" ){ echo "SELECTED"; }  ?>>90 D&iacute;as</option>
        								        </select>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="HoraAtencion" class="label">Hora de Atenci&oacute;n</label></td>
                                            <td nowrap="nowrap"><input type="text" class="text required" name="HoraAtencion" id="HoraAtencion" value="<?php echo $HoraAtencion ?>" title="Ingrese una direccion HoraAtencion"/></td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Observacion" class="label">Observaci&oacute;n</label></td>
                                            <td nowrap="nowrap"><textarea name="Observacion" id="Observacion" rows="2" cols="60"><?php echo $Observacion ?></textarea></td>
                                        </tr>

                                        <tr>
                                            <td colspan="2" >
                                                 <table width="100%" border="0">
                                                    <tr>
                                                        <td align="right" width="55%">
                                                            <input type="submit" class="button" value="Guardar" onclick="">
                                                        </td>
                                                        <td width="45%">
                                                            <div id="s_ImagenLoad" style="display: none;"><img src="/images/progress.gif" border="0"/>&nbsp;<label class="laber req">Grabando...</label></div>
                                                            &nbsp;
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>

                                </td>
                            </tr>

                        </table>

                    </td>
                </tr>
            </table>
        </form>

    </div>
</fieldset>

<script type="text/javascript">
    var valid = new Validation('form1', {immediate : true});
</script>